#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-refactor-plugin
version:              1.2.0.0
visibility:           public
id:                   hls-refactor-plugin-1.2.0.0-CSigTTxPO8g5jAnSyV0fGf
key:                  hls-refactor-plugin-1.2.0.0-CSigTTxPO8g5jAnSyV0fGf
license:              Apache-2.0
copyright:            The Haskell IDE Team
maintainer:           zubin.duggal@gmail.com
author:               The Haskell IDE Team
synopsis:             Exactprint refactorings for Haskell Language Server
description:
    Please see the README on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  a08aa587e70c763c97311f6619cf96bd
exposed:              True
exposed-modules:
    Development.IDE.GHC.Compat.ExactPrint Development.IDE.GHC.Dump
    Development.IDE.GHC.ExactPrint Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.Util

hidden-modules:
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.Plugins.AddArgument
    Development.IDE.Plugin.Plugins.Diagnostic
    Development.IDE.Plugin.Plugins.FillHole
    Development.IDE.Plugin.Plugins.FillTypeWildcard
    Development.IDE.Plugin.Plugins.ImportUtils

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hls-refactor-plugin-1.2.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hls-refactor-plugin-1.2.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-refactor-plugin
hs-libraries:         HShls-refactor-plugin-1.2.0.0-CSigTTxPO8g5jAnSyV0fGf
depends:
    aeson-2.1.2.1-7PAgiODdTr9Ups5Xz74Et base-4.16.4.0
    bytestring-0.11.4.0 containers-0.6.5.1
    data-default-0.7.1.1-9GBNV24Yu4s7ZWoH3HLxtI deepseq-1.4.6.1
    dlist-1.0-FcGLURKLfVs8O4ceZ0pJJ0
    extra-1.7.16-F66YQKzcZ6q5tcSmUUQ7Gl ghc-9.2.8 ghc-boot-9.2.8
    ghc-exactprint-1.5.0-9DxeGL94NUELXIS0LY1IMG
    ghcide-1.10.0.0-ADiNrKWU200Fm3Z9drURAP
    hls-graph-1.9.0.0-FY4V1wXhTWa6pjLtrPojt4
    hls-plugin-api-1.6.0.0-J110mY9stzAD2pmKhcK4G4
    lens-5.2.3-GRs4U9On1e2FVZcK8uMpJU
    lsp-1.6.0.0-1k308DO2fqg7uap5qPC7C1 mtl-2.2.2
    regex-tdfa-1.3.2.2-Jhamw2aFykrCFUGKRi9D0n
    retrie-1.2.3-EU5NvAXnVuaK3dZ2hXrcDd
    syb-0.7.2.4-2yg04407FcqIXzrwtemQGI text-1.2.5.0
    text-rope-0.3-2LnggVskmQqDvq2jBSEB5S time-1.11.1.1
    transformers-0.5.6.2
    unordered-containers-0.2.20-3Feu7z7nwlQLAsn5Kud3bc

haddock-interfaces:
    /usr/share/doc/haskell-hls-refactor-plugin/html/hls-refactor-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-refactor-plugin/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

